package com.magelang.box;

import java.awt.Dimension;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Color;
import java.beans.Beans;

public class Strut extends Component {
	private Dimension dim = new Dimension(10,Beans.isDesignTime() ? 10 : 0);
	private int fieldPixels = 10;
	private boolean fieldHorizontal = true;
public boolean getHorizontal() {
	return fieldHorizontal;
}
public Dimension getMaximumSize() {
	return dim;
}
public Dimension getMinimumSize() {
	return dim;
}
public int getPixels() {
	return fieldPixels;
}
public Dimension getPreferredSize() {
	return dim;
}
public void paint(Graphics g) {
	if (Beans.isDesignTime()) {
		Dimension d = getSize();
		g.setColor(Color.red);
		if (getHorizontal()) {
			int y = d.height / 2;
			g.drawLine(2, y, d.width - 2, y);
			g.drawLine(2, y - 2, 2, y + 2);
			g.drawLine(d.width - 2, y - 2, d.width - 2, y + 2);
		} else {
			int x = d.width / 2;
			g.drawLine(x, 2, x, d.height - 2);
			g.drawLine(x - 2, 2, x + 2, 2);
			g.drawLine(x - 2, d.height - 2, x + 2, d.height - 2);
		}
	}
}
protected void reorient() {
	if (getHorizontal()) {
		dim.height = Beans.isDesignTime() ? 10 : 0;
		dim.width = getPixels();
	} else {
		dim.width = Beans.isDesignTime() ? 10 : 0;
		dim.height = getPixels();
	}
}
public void setHorizontal(boolean horizontal) {
	fieldHorizontal = horizontal;
	reorient();
}
public void setPixels(int pixels) {
	fieldPixels = pixels;
	reorient();
}
}